GWT 2.7.0

## com.google.gwt.dom.builder.client
Class DomFrameBuilder

    java.lang.Object
      com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
          com.google.gwt.dom.builder.client.DomElementBuilderBase<FrameBuilder,FrameElement>
              com.google.gwt.dom.builder.client.DomFrameBuilder

All Implemented Interfaces:
  ElementBuilderBase<FrameBuilder>, FrameBuilder

    public class DomFrameBuilder

extends DomElementBuilderBase<FrameBuilder,FrameElement>
implements FrameBuilder

DOM-based implementation of `FrameBuilder`.

Constructor Summary
`DomFrameBuilder(DomBuilderImpl delegate)`

Method Summary
`FrameBuilder` | `frameBorder(int frameBorder)` Request frame borders.
`FrameBuilder` | `longDesc(SafeUri longDesc)` URI designating a long description of this image or frame.
`FrameBuilder` | `longDesc(java.lang.String longDesc)` URI designating a long description of this image or frame.
`FrameBuilder` | `marginHeight(int marginHeight)` Frame margin height, in pixels.
`FrameBuilder` | `marginWidth(int marginWidth)` Frame margin width, in pixels.
`FrameBuilder` | `name(java.lang.String name)` The frame name (object of the target attribute).
`FrameBuilder` | `noResize()` Forbid user from resizing frame.
`FrameBuilder` | `scrolling(java.lang.String scrolling)` Specify whether or not the frame should have scrollbars.
`FrameBuilder` | `src(SafeUri src)` A URI designating the initial frame contents.
`FrameBuilder` | `src(java.lang.String src)` A URI designating the initial frame contents.

Methods inherited from class com.google.gwt.dom.builder.client.DomElementBuilderBase

`assertCanAddAttribute, attribute, attribute, className, dir, draggable, getDelegate, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, tabIndex, title, trustedStart`

Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

`end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, html, isChildElementSupported, isEndTagForbidden, style, text`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

Constructor Detail

### DomFrameBuilder

    DomFrameBuilder(DomBuilderImpl delegate)

Method Detail

### frameBorder

    public FrameBuilder frameBorder(int frameBorder)

  Description copied from interface: `FrameBuilder`
  Request frame borders.

  Specified by:
    `frameBorder` in interface `FrameBuilder`
  See Also:
    W3C HTML Specification

### longDesc

    public FrameBuilder longDesc(SafeUri longDesc)

  Description copied from interface: `FrameBuilder`
  URI designating a long description of this image or frame.

  Specified by:
    `longDesc` in interface `FrameBuilder`
  See Also:
    W3C HTML Specification

### longDesc

    public FrameBuilder longDesc(java.lang.String longDesc)

  Description copied from interface: `FrameBuilder`
  URI designating a long description of this image or frame.

  Specified by:
    `longDesc` in interface `FrameBuilder`
  See Also:
    W3C HTML Specification

### marginHeight

    public FrameBuilder marginHeight(int marginHeight)

  Description copied from interface: `FrameBuilder`
  Frame margin height, in pixels.

  Specified by:
    `marginHeight` in interface `FrameBuilder`
  See Also:
    W3C HTML Specification

### marginWidth

    public FrameBuilder marginWidth(int marginWidth)

  Description copied from interface: `FrameBuilder`
  Frame margin width, in pixels.

  Specified by:
    `marginWidth` in interface `FrameBuilder`
  See Also:
    W3C HTML Specification

### name

    public FrameBuilder name(java.lang.String name)

  Description copied from interface: `FrameBuilder`
  The frame name (object of the target attribute).

  Specified by:
    `name` in interface `FrameBuilder`
  See Also:
    W3C HTML Specification

### noResize

    public FrameBuilder noResize()

  Description copied from interface: `FrameBuilder`
  Forbid user from resizing frame.

  Specified by:
    `noResize` in interface `FrameBuilder`
  See Also:
    W3C HTML Specification

### scrolling

    public FrameBuilder scrolling(java.lang.String scrolling)

  Description copied from interface: `FrameBuilder`
  Specify whether or not the frame should have scrollbars.

  Specified by:
    `scrolling` in interface `FrameBuilder`
  See Also:
    W3C HTML Specification

### src

    public FrameBuilder src(SafeUri src)

  Description copied from interface: `FrameBuilder`
  A URI designating the initial frame contents.

  Specified by:
    `src` in interface `FrameBuilder`
  See Also:
    W3C HTML Specification

### src

    public FrameBuilder src(java.lang.String src)

  Description copied from interface: `FrameBuilder`
  A URI designating the initial frame contents.

  Specified by:
    `src` in interface `FrameBuilder`
  See Also:
    W3C HTML Specification

GWT 2.7.0